Subject: On-link (L bit) in RA

From: "Nimrod Sterrn" <[email-masked]>
Date: Tue, 10 Aug 2004 13:54:09 +0300

I am regarding - rfc2461 sections 2 and 4.6.2 and 
IP MIB (Management Information Base for the Internet Protocol (IP)) draft version 10 ipAddressPrefixOnLinkFlag field.

I'm a bit puzzled by the option that in RA's Prefix Advertisement the L bit be 0.
for what purpose a router will advertise a Prefix but state that it is not actually on link ?

And on the same issue: it seem to be some typo contradiction between :
section 2 which resembles IPv4 (except for Redirection issue) and says that, an address belonging to Prefix, used by the node, is assumed to be on link.
And on the other hand Section 4.6.2 regarding the L bit. 

The only thing that come to my mind is some kind of ND Proxy: 
some kind of reversing ARP proxy functionality, so for on-link station a redirect will be given. For off-link normal routing will be provided.

And anther option is that it is intended for some Point to Multi Point Network Topology. I.E. not on PTP, Broadcast or NBMA media types.

but still my assumption seem to be lacking a full view.
can someone clarify this issue ? 
if this issue was already discussed, can some one point me to that discussion ?

Nimrod Stern 
<mailto:[email-masked]>

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Erik Nordmark <[email-masked]>
Date: Tue, 10 Aug 2004 08:08:54 -0700 (PDT)

> I'm a bit puzzled by the option that in RA's Prefix Advertisement the L bit
> be 0. for what purpose a router will advertise a Prefix but state that it is
> not actually on link ?

There are at least two reasons so far:
 - the router wishes to advertise the prefix for use by stateful address
   autoconfiguration, but wishes that all packets be sent via the router.
   (The router then has the option to redirect to hosts that are on-link.)
 - the router includes a prefix information option in order to present
   the router's own global address (using the R-bit defined in RFC 3775
section   
   7.2) and the global address doesn't fall in one of the on-link prefixes.

   Erik